Allow to fill out given customfield with specific value via a commit message

2012-10-18 17:58 - Radek  Terber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If issue status is changed as result of commit to VCS, it would be useful to be able set up certain custom field to given value.

Use case is thar we use only one status for Close, and in addition to that we have custom field "Resolution" that refines manner of

closing: whether the issue is fixed, refused, can't be fixed etc ...

Related issues:

Related to Redmine - Feature #12158: More possibilities how to close issue vi... Closed

History

#1 - 2012-10-19 03:46 - Toshi MARUYAMA

- Category set to SCM

#2 - 2012-10-20 17:05 - Jean-Philippe Lang

- Subject changed from During automatic issue close via VCS commit message, to allow fill out given customfield wit specific value to Allow to fill out

given customfield with specific value via a commit message

And I guess the value should be present in the commit message?

#3 - 2012-10-20 19:31 - Radek  Terber

I suppose the customfield name and its value for given keyword set would be configured along with new state configuration (as I'm trying to describe

in #12158).

Setup Example:

Keyword(s): "closed,done"

New state: "Close"

Customfield name: "Resolution"

Custimfield value: "Fixed"

Keyword(s): "cannot fix,can't fix,impossible"

New state: "Close"

Customfield name: "Resolution"

Custimfield value: "Cannot fix"

Keyword(s): "resoved,finished"

New state: "Close"

Customfield name: <none>

Custimfield value: <none>

#4 - 2012-10-21 20:33 - Etienne Massip

FYI I closed #12158 as it is a dupe of old issue #1232 (which has some other dupes).
